package com.steering.mes.mcp.entity;
/**
 * 数据库表MCH_MT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2016-12-19
 */
@SuppressWarnings("serial")
public class MchMtResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 加工生产批次号
     */
    private String zyBatchId = "";
    /**
     * 加工生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 加工订单编号
     */
    private String proPlanId = "";
    /**
     * 加工订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否热处理监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制要求
     */
    private String monitordemand = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 探伤标准1
     */
    private String testingStandard1 = "";
    /**
     * 探伤等级1
     */
    private String testingGrade1 = "";
    /**
     * 探伤标准2
     */
    private String testingStandard2 = "";
    /**
     * 探伤等级2
     */
    private String testingGrade2 = "";
    /**
     * 探伤标准3
     */
    private String testingStandard3 = "";
    /**
     * 探伤等级3
     */
    private String testingGrade3 = "";
    /**
     * 探伤标准4
     */
    private String testingStandard4 = "";
    /**
     * 探伤等级4
     */
    private String testingGrade4 = "";
    /**
     * 试片磁痕显示
     */
    private String shimMagIndic = "";
    /**
     * 试片类型
     */
    private String shimMagType = "";
    /**
     * 湿磁粉种类
     */
    private String mtType = "";
    /**
     * 磁悬液浓试验
     */
    private String magSuspLiqCon = "";
    /**
     * 线圈电流强度
     */
    private String coilCurInt = "";
    /**
     * 中心棒电流强度
     */
    private String ctrStiCurInt = "";
    /**
     * 退磁电压
     */
    private String demagVol = "";
    /**
     * 探伤说明
     */
    private String mtNote = "";
    /**
     * 检测支数
     */
    private String tetNum = "";
    /**
     * 检测重量
     */
    private String tetWt = "";
    /**
     * 作业支数（合格）
     */
    private String proNum = "";
    /**
     * 作业重量（合格）
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 废品缺陷编号(MCH_MT_BUG)
     */
    private String failBill = "";
    /**
     * 切合支数
     */
    private String cutNum = "";
    /**
     * 切合量
     */
    private String cutWt = "";
    /**
     * 可疑支数
     */
    private String dubiousNum = "";
    /**
     * 可疑重量
     */
    private String dubiousWt = "";
    /**
     * 可疑品缺陷编号(MCH_MT_BUG)
     */
    private String dubiousBill = "";
    /**
     * 复探支数
     */
    private String ftestingNum = "";
    /**
     * 复探重量
     */
    private String ftestingWt = "";
    /**
     * 复探合格支数
     */
    private String fpassNum = "";
    /**
     * 复探合格重量
     */
    private String fpassWt = "";
    /**
     * 离线支数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 探伤操作工
     */
    private String utMan = "";
    /**
     * 探伤操作工技术资格等级
     */
    private String utManGrade = "";
    /**
     * 签发者
     */
    private String signMan = "";
    /**
     * 签发者技术资格等级
     */
    private String signManGrade = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 作业时间
     */
    private String rroTime = "";
    /**
     * 作业时长(分)
     */
    private String rroTimeNu = "";
    /**
     * 作业班次
     */
    private String proShift = "";
    /**
     * 作业班组
     */
    private String proGroup = "";
    /**
     * 操作人
     */
    private String createUser = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 分切数OUTNUM_CUT
     */
    private String outnumCut = "";
    /**
     * 原料管长度 LENGTH_IN
     */
    private String lengthIn = "";
    /**
     * 原料管长度上限LENGTHMAX_IN
     */
    private String lengthmaxIn = "";
    /**
     * 原料管长度下限LENGTHMIN_IN
     */
    private String lengthminIn = "";

    public String getOutnumCut() {
		return outnumCut;
	}

	public void setOutnumCut(String outnumCut) {
		this.outnumCut = outnumCut;
	}

	public String getLengthIn() {
		return lengthIn;
	}

	public void setLengthIn(String lengthIn) {
		this.lengthIn = lengthIn;
	}

	public String getLengthmaxIn() {
		return lengthmaxIn;
	}

	public void setLengthmaxIn(String lengthmaxIn) {
		this.lengthmaxIn = lengthmaxIn;
	}

	public String getLengthminIn() {
		return lengthminIn;
	}

	public void setLengthminIn(String lengthminIn) {
		this.lengthminIn = lengthminIn;
	}

	/**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 加工生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 加工生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 加工生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 加工生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 加工订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 加工订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 加工订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 加工订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否热处理监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否热处理监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制要求
     * @return value
     */
    public String getMonitordemand() {
        return monitordemand;
    }

    /**
     * 监制要求
     * @param monitordemand value
     */
    public void setMonitordemand(String monitordemand) {
        this.monitordemand = monitordemand;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 探伤标准1
     * @return value
     */
    public String getTestingStandard1() {
        return testingStandard1;
    }

    /**
     * 探伤标准1
     * @param testingStandard1 value
     */
    public void setTestingStandard1(String testingStandard1) {
        this.testingStandard1 = testingStandard1;
    }

    /**
     * 探伤等级1
     * @return value
     */
    public String getTestingGrade1() {
        return testingGrade1;
    }

    /**
     * 探伤等级1
     * @param testingGrade1 value
     */
    public void setTestingGrade1(String testingGrade1) {
        this.testingGrade1 = testingGrade1;
    }

    /**
     * 探伤标准2
     * @return value
     */
    public String getTestingStandard2() {
        return testingStandard2;
    }

    /**
     * 探伤标准2
     * @param testingStandard2 value
     */
    public void setTestingStandard2(String testingStandard2) {
        this.testingStandard2 = testingStandard2;
    }

    /**
     * 探伤等级2
     * @return value
     */
    public String getTestingGrade2() {
        return testingGrade2;
    }

    /**
     * 探伤等级2
     * @param testingGrade2 value
     */
    public void setTestingGrade2(String testingGrade2) {
        this.testingGrade2 = testingGrade2;
    }

    /**
     * 探伤标准3
     * @return value
     */
    public String getTestingStandard3() {
        return testingStandard3;
    }

    /**
     * 探伤标准3
     * @param testingStandard3 value
     */
    public void setTestingStandard3(String testingStandard3) {
        this.testingStandard3 = testingStandard3;
    }

    /**
     * 探伤等级3
     * @return value
     */
    public String getTestingGrade3() {
        return testingGrade3;
    }

    /**
     * 探伤等级3
     * @param testingGrade3 value
     */
    public void setTestingGrade3(String testingGrade3) {
        this.testingGrade3 = testingGrade3;
    }

    /**
     * 探伤标准4
     * @return value
     */
    public String getTestingStandard4() {
        return testingStandard4;
    }

    /**
     * 探伤标准4
     * @param testingStandard4 value
     */
    public void setTestingStandard4(String testingStandard4) {
        this.testingStandard4 = testingStandard4;
    }

    /**
     * 探伤等级4
     * @return value
     */
    public String getTestingGrade4() {
        return testingGrade4;
    }

    /**
     * 探伤等级4
     * @param testingGrade4 value
     */
    public void setTestingGrade4(String testingGrade4) {
        this.testingGrade4 = testingGrade4;
    }

    /**
     * 试片磁痕显示
     * @return value
     */
    public String getShimMagIndic() {
        return shimMagIndic;
    }

    /**
     * 试片磁痕显示
     * @param shimMagIndic value
     */
    public void setShimMagIndic(String shimMagIndic) {
        this.shimMagIndic = shimMagIndic;
    }

    /**
     * 试片类型
     * @return value
     */
    public String getShimMagType() {
        return shimMagType;
    }

    /**
     * 试片类型
     * @param shimMagType value
     */
    public void setShimMagType(String shimMagType) {
        this.shimMagType = shimMagType;
    }

    /**
     * 湿磁粉种类
     * @return value
     */
    public String getMtType() {
        return mtType;
    }

    /**
     * 湿磁粉种类
     * @param mtType value
     */
    public void setMtType(String mtType) {
        this.mtType = mtType;
    }

    /**
     * 磁悬液浓试验
     * @return value
     */
    public String getMagSuspLiqCon() {
        return magSuspLiqCon;
    }

    /**
     * 磁悬液浓试验
     * @param magSuspLiqCon value
     */
    public void setMagSuspLiqCon(String magSuspLiqCon) {
        this.magSuspLiqCon = magSuspLiqCon;
    }

    /**
     * 线圈电流强度
     * @return value
     */
    public String getCoilCurInt() {
        return coilCurInt;
    }

    /**
     * 线圈电流强度
     * @param coilCurInt value
     */
    public void setCoilCurInt(String coilCurInt) {
        this.coilCurInt = coilCurInt;
    }

    /**
     * 中心棒电流强度
     * @return value
     */
    public String getCtrStiCurInt() {
        return ctrStiCurInt;
    }

    /**
     * 中心棒电流强度
     * @param ctrStiCurInt value
     */
    public void setCtrStiCurInt(String ctrStiCurInt) {
        this.ctrStiCurInt = ctrStiCurInt;
    }

    /**
     * 退磁电压
     * @return value
     */
    public String getDemagVol() {
        return demagVol;
    }

    /**
     * 退磁电压
     * @param demagVol value
     */
    public void setDemagVol(String demagVol) {
        this.demagVol = demagVol;
    }

    /**
     * 探伤说明
     * @return value
     */
    public String getMtNote() {
        return mtNote;
    }

    /**
     * 探伤说明
     * @param mtNote value
     */
    public void setMtNote(String mtNote) {
        this.mtNote = mtNote;
    }

    /**
     * 检测支数
     * @return value
     */
    public String getTetNum() {
        return tetNum;
    }

    /**
     * 检测支数
     * @param tetNum value
     */
    public void setTetNum(String tetNum) {
        this.tetNum = tetNum;
    }

    /**
     * 检测重量
     * @return value
     */
    public String getTetWt() {
        return tetWt;
    }

    /**
     * 检测重量
     * @param tetWt value
     */
    public void setTetWt(String tetWt) {
        this.tetWt = tetWt;
    }

    /**
     * 作业支数（合格）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（合格）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量（合格）
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量（合格）
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 废品缺陷编号(MCH_MT_BUG)
     * @return value
     */
    public String getFailBill() {
        return failBill;
    }

    /**
     * 废品缺陷编号(MCH_MT_BUG)
     * @param failBill value
     */
    public void setFailBill(String failBill) {
        this.failBill = failBill;
    }

    /**
     * 切合支数
     * @return value
     */
    public String getCutNum() {
        return cutNum;
    }

    /**
     * 切合支数
     * @param cutNum value
     */
    public void setCutNum(String cutNum) {
        this.cutNum = cutNum;
    }

    /**
     * 切合量
     * @return value
     */
    public String getCutWt() {
        return cutWt;
    }

    /**
     * 切合量
     * @param cutWt value
     */
    public void setCutWt(String cutWt) {
        this.cutWt = cutWt;
    }

    /**
     * 可疑支数
     * @return value
     */
    public String getDubiousNum() {
        return dubiousNum;
    }

    /**
     * 可疑支数
     * @param dubiousNum value
     */
    public void setDubiousNum(String dubiousNum) {
        this.dubiousNum = dubiousNum;
    }

    /**
     * 可疑重量
     * @return value
     */
    public String getDubiousWt() {
        return dubiousWt;
    }

    /**
     * 可疑重量
     * @param dubiousWt value
     */
    public void setDubiousWt(String dubiousWt) {
        this.dubiousWt = dubiousWt;
    }

    /**
     * 可疑品缺陷编号(MCH_MT_BUG)
     * @return value
     */
    public String getDubiousBill() {
        return dubiousBill;
    }

    /**
     * 可疑品缺陷编号(MCH_MT_BUG)
     * @param dubiousBill value
     */
    public void setDubiousBill(String dubiousBill) {
        this.dubiousBill = dubiousBill;
    }

    /**
     * 复探支数
     * @return value
     */
    public String getFtestingNum() {
        return ftestingNum;
    }

    /**
     * 复探支数
     * @param ftestingNum value
     */
    public void setFtestingNum(String ftestingNum) {
        this.ftestingNum = ftestingNum;
    }

    /**
     * 复探重量
     * @return value
     */
    public String getFtestingWt() {
        return ftestingWt;
    }

    /**
     * 复探重量
     * @param ftestingWt value
     */
    public void setFtestingWt(String ftestingWt) {
        this.ftestingWt = ftestingWt;
    }

    /**
     * 复探合格支数
     * @return value
     */
    public String getFpassNum() {
        return fpassNum;
    }

    /**
     * 复探合格支数
     * @param fpassNum value
     */
    public void setFpassNum(String fpassNum) {
        this.fpassNum = fpassNum;
    }

    /**
     * 复探合格重量
     * @return value
     */
    public String getFpassWt() {
        return fpassWt;
    }

    /**
     * 复探合格重量
     * @param fpassWt value
     */
    public void setFpassWt(String fpassWt) {
        this.fpassWt = fpassWt;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 探伤操作工
     * @return value
     */
    public String getUtMan() {
        return utMan;
    }

    /**
     * 探伤操作工
     * @param utMan value
     */
    public void setUtMan(String utMan) {
        this.utMan = utMan;
    }

    /**
     * 探伤操作工技术资格等级
     * @return value
     */
    public String getUtManGrade() {
        return utManGrade;
    }

    /**
     * 探伤操作工技术资格等级
     * @param utManGrade value
     */
    public void setUtManGrade(String utManGrade) {
        this.utManGrade = utManGrade;
    }

    /**
     * 签发者
     * @return value
     */
    public String getSignMan() {
        return signMan;
    }

    /**
     * 签发者
     * @param signMan value
     */
    public void setSignMan(String signMan) {
        this.signMan = signMan;
    }

    /**
     * 签发者技术资格等级
     * @return value
     */
    public String getSignManGrade() {
        return signManGrade;
    }

    /**
     * 签发者技术资格等级
     * @param signManGrade value
     */
    public void setSignManGrade(String signManGrade) {
        this.signManGrade = signManGrade;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 作业时间
     * @return value
     */
    public String getRroTime() {
        return rroTime;
    }

    /**
     * 作业时间
     * @param rroTime value
     */
    public void setRroTime(String rroTime) {
        this.rroTime = rroTime;
    }

    /**
     * 作业时长(分)
     * @return value
     */
    public String getRroTimeNu() {
        return rroTimeNu;
    }

    /**
     * 作业时长(分)
     * @param rroTimeNu value
     */
    public void setRroTimeNu(String rroTimeNu) {
        this.rroTimeNu = rroTimeNu;
    }

    /**
     * 作业班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 作业班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 作业班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 作业班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 操作人
     * @return value
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 操作人
     * @param createUser value
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}